> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a post comment

> Create a feed post comment. <h3>OAuth</h3>Required scopes: <code>feed</code>



## OpenAPI

````yaml /assets/openapi.json post /feed/comments/v1
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /feed/comments/v1:
    post:
      tags:
        - Feed
      summary: Create a post comment
      description: >-
        Create a feed post comment. <h3>OAuth</h3>Required scopes:
        <code>feed</code>
      operationId: createFeedPostComment
      parameters:
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      requestBody:
        $ref: '#/components/requestBodies/createFeedPostComment'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  comment:
                    $ref: '#/components/schemas/postComment'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - OAuth2:
            - feed
components:
  requestBodies:
    createFeedPostComment:
      content:
        application/json:
          schema:
            type: object
            properties:
              comment:
                description: Feed post comment to create.
                type: object
                properties:
                  parentCommentRef:
                    description: ID of the parent comment when this is a reply.
                    type: string
                    format: uuid
                  postRef:
                    description: ID of the post this comment belongs to.
                    type: string
                    format: uuid
                  text:
                    description: Comment text content.
                    type: string
                    minLength: 1
                  type:
                    description: Feed item type.
                    type: string
                    enum:
                      - comment
                required:
                  - postRef
                  - text
                  - type
            required:
              - comment
      required: true
  schemas:
    postComment:
      type: object
      properties:
        createDate:
          description: ISO timestamp of when the comment was created.
          type: string
          format: date-time
        id:
          description: Unique identifier of the comment.
          type: string
          format: uuid
        liked:
          description: Whether the current user has liked the comment.
          type: boolean
        likes:
          description: Number of likes on the comment.
          type: number
        membership:
          description: Membership of the comment author.
          type: object
          properties:
            id:
              description: Unique identifier of the membership.
              type: string
              format: uuid
            user:
              description: User associated with the membership.
              type: object
              properties:
                deleteDate:
                  description: ISO timestamp of when the user was deleted.
                  type: string
                  format: date-time
                id:
                  description: Unique identifier of the user.
                  type: string
                  format: uuid
                name:
                  description: User first name.
                  nullable: true
                  type: string
                photoUrl:
                  description: URL of the user's profile photo.
                  nullable: true
                  type: string
                surname:
                  description: User last name.
                  nullable: true
                  type: string
              required:
                - id
              additionalProperties: false
          required:
            - id
          additionalProperties: false
        mentions:
          description: User mentions in the comment text.
          type: array
          items:
            type: object
            properties:
              id:
                description: Unique identifier of the mention.
                type: string
                format: uuid
              value:
                description: Mention value.
                type: string
            required:
              - id
              - value
            additionalProperties: false
        parentCommentRef:
          description: ID of the parent comment when this is a reply.
          type: string
          format: uuid
        postRef:
          description: ID of the post this comment belongs to.
          type: string
          format: uuid
        text:
          description: Comment text content.
          type: string
      required:
        - createDate
        - id
        - likes
        - membership
        - postRef
        - text
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read invoices
            invoices: Read and write invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````